-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblBL_Domains') DROP TABLE [dbo].[tblBL_Domains]
CREATE TABLE [dbo].[tblBL_Domains] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [DomainName] varchar(255),
  CONSTRAINT [pk_tblBL_Domains_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblBL_EmailsFrom') DROP TABLE [dbo].[tblBL_EmailsFrom]
CREATE TABLE [dbo].[tblBL_EmailsFrom] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [Email] varchar(320),
  CONSTRAINT [pk_tblBL_EmailsFrom_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblBL_EmailsTo') DROP TABLE [dbo].[tblBL_EmailsTo]
CREATE TABLE [dbo].[tblBL_EmailsTo] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [Email] varchar(320),
  CONSTRAINT [pk_tblBL_EmailsTo_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblBL_MAPS') DROP TABLE [dbo].[tblBL_MAPS]
CREATE TABLE [dbo].[tblBL_MAPS] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [Server] varchar(255),
  [ReverseIP] bit default 1,
  CONSTRAINT [pk_tblBL_MAPS_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblBL_Keywords') DROP TABLE [dbo].[tblBL_Keywords]
CREATE TABLE [dbo].[tblBL_Keywords] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [Keywords] varchar(1024),
  CONSTRAINT [pk_tblBL_Keywords_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblBL_Attachments') DROP TABLE [dbo].[tblBL_Attachments]
CREATE TABLE [dbo].[tblBL_Attachments] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [Attachments] varchar(1024),
  CONSTRAINT [pk_tblBL_Attachments_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblBL_SURBL') DROP TABLE [dbo].[tblBL_SURBL]
CREATE TABLE [dbo].[tblBL_SURBL] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [Server] varchar(320),
  CONSTRAINT [pk_tblBL_SURBL_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblBL_IPs') DROP TABLE [dbo].[tblBL_IPs]
CREATE TABLE [dbo].[tblBL_IPs] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [IP] varchar(15),
  CONSTRAINT [pk_tblBL_IPs_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblBL_HoneypotEmails') DROP TABLE [dbo].[tblBL_HoneypotEmails]
CREATE TABLE [dbo].[tblBL_HoneypotEmails] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [Email] varchar(320),
  CONSTRAINT [pk_tblBL_HoneypotEmails_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblBL_HoneypotBlockedIPs') DROP TABLE [dbo].[tblBL_HoneypotBlockedIPs]
CREATE TABLE [dbo].[tblBL_HoneypotBlockedIPs] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [IP] varchar(15),
  CONSTRAINT [pk_tblBL_HoneypotBlockedIPs_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblBL_Countries') DROP TABLE [dbo].[tblBL_Countries]
CREATE TABLE [dbo].[tblBL_Countries] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [CountryCode] varchar(2),
  CONSTRAINT [pk_tblBL_Countries_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblWL_AuthorizedTOEmails') DROP TABLE [dbo].[tblWL_AuthorizedTOEmails]
CREATE TABLE [dbo].[tblWL_AuthorizedTOEmails] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [Email] varchar(320),
  CONSTRAINT [pk_tblWL_AuthorizedTOEmails_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblWL_Keywords') DROP TABLE [dbo].[tblWL_Keywords]
CREATE TABLE [dbo].[tblWL_Keywords] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [Keywords] varchar(1024),
  CONSTRAINT [pk_tblWL_Keywords_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblWL_EmailsFrom') DROP TABLE [dbo].[tblWL_EmailsFrom]
CREATE TABLE [dbo].[tblWL_EmailsFrom] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [Email] varchar(320),
  CONSTRAINT [pk_tblWL_EmailsFrom_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblWL_EmailsTo') DROP TABLE [dbo].[tblWL_EmailsTo]
CREATE TABLE [dbo].[tblWL_EmailsTo] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [Email] varchar(320),
  CONSTRAINT [pk_tblWL_EmailsTo_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblWL_AutoWhitelistForceDelivery') DROP TABLE [dbo].[tblWL_AutoWhitelistForceDelivery]
CREATE TABLE [dbo].[tblWL_AutoWhitelistForceDelivery] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [Email] varchar(320),
  CONSTRAINT [pk_tblWL_AutoWhitelistForceDelivery_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblWL_DomainsIPs') DROP TABLE [dbo].[tblWL_DomainsIPs]
CREATE TABLE [dbo].[tblWL_DomainsIPs] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [LoginID] int default 0,
  [Domain_or_IP] varchar(255),
  CONSTRAINT [pk_tblWL_DomainsIPs_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tblReloadTableInfo') DROP TABLE [dbo].[tblReloadTableInfo]
CREATE TABLE [dbo].[tblReloadTableInfo] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [TableName] varchar(65),
  [UpdateTable] bit default 1,
  CONSTRAINT [pk_tblReloadTableInfo_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tbl_FilterSettings') DROP TABLE [dbo].[tbl_FilterSettings]
CREATE TABLE [dbo].[tbl_FilterSettings] (
  [ID] int NOT NULL identity,
  [DomainID] int default 0,
  [BL_DomainsForceDelete] bit default 0,
  [BL_EmailsFromForceDelete] bit default 0,
  [BL_EmailsTOForceDelete] bit default 0,
  [BL_CountriesForceDelete] bit default 0,
  [BL_MAPSForceDelete] bit default 0,
  [BL_KeywordsForceDelete] bit default 0,
  [BL_AttachmentsForceDelete] bit default 0,
  [BL_SURBLForceDelete] bit default 0,
  [BL_IPsForceDelete] bit default 0,
  [BL_HoneypotEmailsForceDelete] bit default 0,
  [RejectNoReverseForceDelete] bit default 0,
  [RejectNoMXForceDelete] bit default 0,
  [SPFFilterEnableForceDelete] bit default 0,
  [RejectEmptyMailFromForceDelete] bit default 0,
  [RejectSameToFromDomainForceDelete] bit default 0,
  [RejectSameToFromForceDelete] bit default 0,
  [SFDBForceDelete] bit default 0,
  [MAXRCPT_TOForceDelete] bit default 0,
  [AUTHORIZEDTOForceDelete] bit default 0,
  [ANTIVIRUSForceDelete] bit default 0,
  [IMAGEForceDelete] bit default 0,
  [SURBLForceDelete] bit default 0,
  [BAYESIANFilterEnable] bit default 1,
  [BAYESIANForceDelete] bit default 0,
  [SPFFilterEnable] bit default 1,
  [SPFNeutralFilter] bit default 0,
  [SPFSoftfailFilter] bit default 1,
  [SPFFailFilter] bit default 1,
  [AllowPercent] bit default 0,
  [TagSPAM] bit default 0,
  [TagSPAMSubject] bit default 0,
  [TagSPAMandQuarantine] bit default 0,
  [RejectNoReverse] bit default 1,
  [RejectNoMX] bit default 1,
  [RejectEmptyMailFrom] bit default 0,
  [RejectSameToFrom] bit default 0,
  [RejectSameToFromDomain] bit default 0,
  [EnableIPCacheBlacklist] bit default 1,
  [AutoWhiteListForceDeliveryEnabled] bit default 1,
  [MinMAPS] int default 1,
  [MaxSubjectSpaces] int default 10,
  [SpamImageThreshold] int default 10,
  [SFDB_NetworkReliability] int default 3,
  [SFDB_FiltersAll] bit default 1,
  [SFDB_FiltersList] varchar(255),
  CONSTRAINT [pk_tbl_FilterSettings_ID] PRIMARY KEY  ([ID]),
)

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tbl_LocalDomains') DROP TABLE [dbo].[tbl_LocalDomains]
CREATE TABLE [dbo].[tbl_LocalDomains] (
  [ID] int NOT NULL identity,
  [DomainName] varchar(255),
  [DestSMTPServer] varchar(255),
  [DestSMTPServerPort] int,
  [UseDefaults] bit NOT NULL DEFAULT 1,
  CONSTRAINT [pk_tbl_LocalDomains_ID] PRIMARY KEY  ([ID]),
)


CREATE  INDEX [DomainID] ON [dbo].[tblBL_Domains]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblBL_Domains]([LoginID])
CREATE  INDEX [DomainName] ON [dbo].[tblBL_Domains]([DomainName])

CREATE  INDEX [DomainID] ON [dbo].[tblBL_EmailsFrom]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblBL_EmailsFrom]([LoginID])
CREATE  INDEX [Email] ON [dbo].[tblBL_EmailsFrom]([Email])

CREATE  INDEX [DomainID] ON [dbo].[tblBL_EmailsTo]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblBL_EmailsTo]([LoginID])
CREATE  INDEX [Email] ON [dbo].[tblBL_EmailsTo]([Email])

CREATE  INDEX [DomainID] ON [dbo].[tblBL_MAPS]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblBL_MAPS]([LoginID])
CREATE  INDEX [Server] ON [dbo].[tblBL_MAPS]([Server])

CREATE  INDEX [DomainID] ON [dbo].[tblBL_Keywords]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblBL_Keywords]([LoginID])

CREATE  INDEX [DomainID] ON [dbo].[tblBL_Attachments]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblBL_Attachments]([LoginID])

CREATE  INDEX [DomainID] ON [dbo].[tblBL_SURBL]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblBL_SURBL]([LoginID])
CREATE  INDEX [Server] ON [dbo].[tblBL_SURBL]([Server])

CREATE  INDEX [DomainID] ON [dbo].[tblBL_IPs]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblBL_IPs]([LoginID])
CREATE  INDEX [IP] ON [dbo].[tblBL_IPs]([IP])

CREATE  INDEX [DomainID] ON [dbo].[tblBL_HoneypotEmails]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblBL_HoneypotEmails]([LoginID])
CREATE  INDEX [Email] ON [dbo].[tblBL_HoneypotEmails]([Email])

CREATE  INDEX [DomainID] ON [dbo].[tblBL_HoneypotBlockedIPs]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblBL_HoneypotBlockedIPs]([LoginID])
CREATE  INDEX [IP] ON [dbo].[tblBL_HoneypotBlockedIPs]([IP])

CREATE  INDEX [DomainID] ON [dbo].[tblBL_Countries]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblBL_Countries]([LoginID])
CREATE  INDEX [CountryCode] ON [dbo].[tblBL_Countries]([CountryCode])

CREATE  INDEX [DomainID] ON [dbo].[tblWL_AuthorizedTOEmails]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblWL_AuthorizedTOEmails]([LoginID])
CREATE  INDEX [Email] ON [dbo].[tblWL_AuthorizedTOEmails]([Email])

CREATE  INDEX [DomainID] ON [dbo].[tblWL_Keywords]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblWL_Keywords]([LoginID])

CREATE  INDEX [DomainID] ON [dbo].[tblWL_EmailsFrom]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblWL_EmailsFrom]([LoginID])
CREATE  INDEX [Email] ON [dbo].[tblWL_EmailsFrom]([Email])

CREATE  INDEX [DomainID] ON [dbo].[tblWL_EmailsTo]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblWL_EmailsTo]([LoginID])
CREATE  INDEX [Email] ON [dbo].[tblWL_EmailsTo]([Email])

CREATE  INDEX [DomainID] ON [dbo].[tblWL_AutoWhitelistForceDelivery]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblWL_AutoWhitelistForceDelivery]([LoginID])
CREATE  INDEX [Email] ON [dbo].[tblWL_AutoWhitelistForceDelivery]([Email])

CREATE  INDEX [DomainID] ON [dbo].[tblWL_DomainsIPs]([DomainID])
CREATE  INDEX [LoginID] ON [dbo].[tblWL_DomainsIPs]([LoginID])
CREATE  INDEX [Domain_or_IP] ON [dbo].[tblWL_DomainsIPs]([Domain_or_IP])

CREATE  INDEX [TableName] ON [dbo].[tblReloadTableInfo]([TableName])

CREATE  INDEX [DomainID] ON [dbo].[tbl_FilterSettings]([DomainID])

CREATE UNIQUE INDEX [DomainName] ON [dbo].[tbl_LocalDomains]([DomainName])


ALTER TABLE [dbo].[tblBL_Domains] ADD CONSTRAINT [FKtblBL_Domains] FOREIGN KEY  ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE
ALTER TABLE [dbo].[tblBL_EmailsFrom] ADD CONSTRAINT [FKtblBL_EmailsFrom] FOREIGN KEY  ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE
ALTER TABLE [dbo].[tblBL_EmailsTo] ADD CONSTRAINT [FKtblBL_EmailsTo] FOREIGN KEY  ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE
ALTER TABLE [dbo].[tblBL_MAPS] ADD CONSTRAINT [FKtblBL_MAPS] FOREIGN KEY  ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE
ALTER TABLE [dbo].[tblBL_Keywords] ADD CONSTRAINT [FKtblBL_Keywords] FOREIGN KEY  ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE
ALTER TABLE [dbo].[tblBL_Attachments] ADD CONSTRAINT [FKtblBL_Attachments] FOREIGN KEY  ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE
ALTER TABLE [dbo].[tblBL_SURBL] ADD CONSTRAINT [FKtblBL_SURBL] FOREIGN KEY  ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE
ALTER TABLE [dbo].[tblBL_IPs] ADD CONSTRAINT [FKtblBL_IPs] FOREIGN KEY ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE
ALTER TABLE [dbo].[tblBL_HoneypotEmails] ADD CONSTRAINT [FKtblBL_HoneypotEmails] FOREIGN KEY  ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE
ALTER TABLE [dbo].[tblBL_HoneypotBlockedIPs] ADD CONSTRAINT [FKtblBL_HoneypotBlockedIPs] FOREIGN KEY  ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE
ALTER TABLE [dbo].[tblWL_AuthorizedTOEmails] ADD CONSTRAINT [FKtblWL_AuthorizedTOEmails] FOREIGN KEY  ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE
ALTER TABLE [dbo].[tblWL_Keywords] ADD CONSTRAINT [FKtblWL_Keywords] FOREIGN KEY  ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE
ALTER TABLE [dbo].[tblWL_EmailsFrom] ADD CONSTRAINT [FKtblWL_EmailsFrom] FOREIGN KEY  ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE
ALTER TABLE [dbo].[tblWL_EmailsTo] ADD CONSTRAINT [FKtblWL_EmailsTo] FOREIGN KEY  ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE
ALTER TABLE [dbo].[tblWL_AutoWhitelistForceDelivery] ADD CONSTRAINT [FKtblWL_AutoWhitelistForceDelivery] FOREIGN KEY  ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE
ALTER TABLE [dbo].[tblWL_DomainsIPs] ADD CONSTRAINT [FKtblWL_DomainsIPs] FOREIGN KEY  ( [DomainID] )
    REFERENCES [dbo].[tbl_localdomains] ( [ID] ) ON DELETE CASCADE

GO

insert into tbl_LocalDomains (DomainName) VALUES (' ALL DOMAINS');
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tr_LocalDomains_AU' AND type = 'TR') DROP TRIGGER[tr_LocalDomains_AU];
-- GO
CREATE TRIGGER [dbo].[tr_LocalDomains_AU]
ON [dbo].[tbl_LocalDomains]
AFTER UPDATE AS
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.ID, 1, 'tbl_LocalDomains' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.ID) AND (r.TableName = 'tbl_LocalDomains'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tr_LocalDomains_AI' AND type = 'TR') DROP TRIGGER[tr_LocalDomains_AI];
-- GO
CREATE TRIGGER [dbo].[tr_LocalDomains_AI]
ON [dbo].[tbl_LocalDomains]
FOR INSERT AS
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.ID, 1, 'tbl_LocalDomains' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.ID) AND (r.TableName = 'tbl_LocalDomains'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tr_LocalDomains_AD' AND type = 'TR') DROP TRIGGER[tr_LocalDomains_AD];
-- GO
CREATE TRIGGER [dbo].[tr_LocalDomains_AD]
ON [dbo].[tbl_LocalDomains]
AFTER DELETE AS
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.ID, 1, 'tbl_LocalDomains' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.ID) AND (r.TableName = 'tbl_LocalDomains'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tr_LocalDomains_BD' AND type = 'TR') DROP TRIGGER[tr_LocalDomains_BD];
-- GO
CREATE TRIGGER [dbo].[tr_LocalDomains_BD]
ON [dbo].[tbl_localdomains] 
FOR DELETE 
AS
Declare @DomainName varchar(255)
SELECT @DomainName = DomainName FROM deleted
IF @DomainName = ' ALL DOMAINS'
BEGIN
	RAISERROR('Unable to delete system record for "ALL DOMAINS"', 16, 1)
END
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_AuthorizedTOEmails_AU' AND type = 'TR') DROP TRIGGER[trWL_AuthorizedTOEmails_AU];
-- GO
CREATE TRIGGER [dbo].[trWL_AuthorizedTOEmails_AU]
ON [dbo].[tblWL_AuthorizedTOEmails]
AFTER UPDATE AS
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_AuthorizedTOEmails' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_AuthorizedTOEmails'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_AuthorizedTOEmails_AI' AND type = 'TR') DROP TRIGGER[trWL_AuthorizedTOEmails_AI];
-- GO
CREATE TRIGGER [dbo].[trWL_AuthorizedTOEmails_AI]
ON [dbo].[tblWL_AuthorizedTOEmails]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_AuthorizedTOEmails' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_AuthorizedTOEmails'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_AuthorizedTOEmails_AD' AND type = 'TR') DROP TRIGGER[trWL_AuthorizedTOEmails_AD];
-- GO
CREATE TRIGGER [dbo].[trWL_AuthorizedTOEmails_AD]
ON [dbo].[tblWL_AuthorizedTOEmails]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_AuthorizedTOEmails' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_AuthorizedTOEmails'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_Keywords_AU' AND type = 'TR') DROP TRIGGER[trWL_Keywords_AU];
-- GO
CREATE TRIGGER [dbo].[trWL_Keywords_AU]
ON [dbo].[tblWL_Keywords]
AFTER UPDATE AS
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_Keywords' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_Keywords'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_Keywords_AI' AND type = 'TR') DROP TRIGGER[trWL_Keywords_AI];
-- GO
CREATE TRIGGER [dbo].[trWL_Keywords_AI]
ON [dbo].[tblWL_Keywords]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_Keywords' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_Keywords'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_Keywords_AD' AND type = 'TR') DROP TRIGGER[trWL_Keywords_AD];
-- GO
CREATE TRIGGER [dbo].[trWL_Keywords_AD]
ON [dbo].[tblWL_Keywords]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_Keywords' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_Keywords'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsFrom_AU' AND type = 'TR') DROP TRIGGER[trWL_EmailsFrom_AU];
-- GO
CREATE TRIGGER [dbo].[trWL_EmailsFrom_AU]
ON [dbo].[tblWL_EmailsFrom]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_EmailsFrom' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_EmailsFrom'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsFrom_AI' AND type = 'TR') DROP TRIGGER[trWL_EmailsFrom_AI];
-- GO
CREATE TRIGGER [dbo].[trWL_EmailsFrom_AI]
ON [dbo].[tblWL_EmailsFrom]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_EmailsFrom' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_EmailsFrom'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsFrom_AD' AND type = 'TR') DROP TRIGGER[trWL_EmailsFrom_AD];
-- GO
CREATE TRIGGER [dbo].[trWL_EmailsFrom_AD]
ON [dbo].[tblWL_EmailsFrom]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_EmailsFrom' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_EmailsFrom'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsTO_AU' AND type = 'TR') DROP TRIGGER[trWL_EmailsTO_AU];
-- GO
CREATE TRIGGER [dbo].[trWL_EmailsTO_AU]
ON [dbo].[tblWL_EmailsTO]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_EmailsTO' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_EmailsTO'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsTO_AI' AND type = 'TR') DROP TRIGGER[trWL_EmailsTO_AI];
-- GO
CREATE TRIGGER [dbo].[trWL_EmailsTO_AI]
ON [dbo].[tblWL_EmailsTO]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_EmailsTO' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_EmailsTO'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsTO_AD' AND type = 'TR') DROP TRIGGER[trWL_EmailsTO_AD];
-- GO
CREATE TRIGGER [dbo].[trWL_EmailsTO_AD]
ON [dbo].[tblWL_EmailsTO]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_EmailsTO' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_EmailsTO'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_DomainsIPs_AU' AND type = 'TR') DROP TRIGGER[trWL_DomainsIPs_AU];
-- GO
CREATE TRIGGER [dbo].[trWL_DomainsIPs_AU]
ON [dbo].[tblWL_DomainsIPs]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_DomainsIPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_DomainsIPs'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_DomainsIPs_AI' AND type = 'TR') DROP TRIGGER[trWL_DomainsIPs_AI];
-- GO
CREATE TRIGGER [dbo].[trWL_DomainsIPs_AI]
ON [dbo].[tblWL_DomainsIPs]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_DomainsIPs' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_DomainsIPs'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_DomainsIPs_AD' AND type = 'TR') DROP TRIGGER[trWL_DomainsIPs_AD];
-- GO
CREATE TRIGGER [dbo].[trWL_DomainsIPs_AD]
ON [dbo].[tblWL_DomainsIPs]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_DomainsIPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_DomainsIPs'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_AutoWhiteListForceDelivery_AU' AND type = 'TR') DROP TRIGGER[trWL_AutoWhiteListForceDelivery_AU];
-- GO
CREATE TRIGGER [dbo].[trWL_AutoWhiteListForceDelivery_AU]
ON [dbo].[tblWL_AutoWhiteListForceDelivery]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_AutoWhiteListForceDelivery' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_AutoWhiteListForceDelivery'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_AutoWhiteListForceDelivery_AI' AND type = 'TR') DROP TRIGGER[trWL_AutoWhiteListForceDelivery_AI];
-- GO
CREATE TRIGGER [dbo].[trWL_AutoWhiteListForceDelivery_AI]
ON [dbo].[tblWL_AutoWhiteListForceDelivery]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_AutoWhiteListForceDelivery' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_AutoWhiteListForceDelivery'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_AutoWhiteListForceDelivery_AD' AND type = 'TR') DROP TRIGGER[trWL_AutoWhiteListForceDelivery_AD];
-- GO
CREATE TRIGGER [dbo].[trWL_AutoWhiteListForceDelivery_AD]
ON [dbo].[tblWL_AutoWhiteListForceDelivery]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_AutoWhiteListForceDelivery' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_AutoWhiteListForceDelivery'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Domains_AU' AND type = 'TR') DROP TRIGGER[trBL_Domains_AU];
-- GO
CREATE TRIGGER [dbo].[trBL_Domains_AU]
ON [dbo].[tblBL_Domains]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Domains' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Domains'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Domains_AI' AND type = 'TR') DROP TRIGGER[trBL_Domains_AI];
-- GO
CREATE TRIGGER [dbo].[trBL_Domains_AI]
ON [dbo].[tblBL_Domains]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_Domains' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_Domains'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Domains_AD' AND type = 'TR') DROP TRIGGER[trBL_Domains_AD];
-- GO
CREATE TRIGGER [dbo].[trBL_Domains_AD]
ON [dbo].[tblBL_Domains]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Domains' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Domains'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsFrom_AU' AND type = 'TR') DROP TRIGGER[trBL_EmailsFrom_AU];
-- GO
CREATE TRIGGER [dbo].[trBL_EmailsFrom_AU]
ON [dbo].[tblBL_EmailsFrom]
AFTER UPDATE AS
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_EmailsFrom' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_EmailsFrom'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsFrom_AI' AND type = 'TR') DROP TRIGGER[trBL_EmailsFrom_AI];
-- GO
CREATE TRIGGER [dbo].[trBL_EmailsFrom_AI]
ON [dbo].[tblBL_EmailsFrom]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_EmailsFrom' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_EmailsFrom'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsFrom_AD' AND type = 'TR') DROP TRIGGER[trBL_EmailsFrom_AD];
-- GO
CREATE TRIGGER [dbo].[trBL_EmailsFrom_AD]
ON [dbo].[tblBL_EmailsFrom]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_EmailsFrom' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_EmailsFrom'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsTO_AU' AND type = 'TR') DROP TRIGGER[trBL_EmailsTO_AU];
-- GO
CREATE TRIGGER [dbo].[trBL_EmailsTO_AU]
ON [dbo].[tblBL_EmailsTO]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_EmailsTO' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_EmailsTO'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsTO_AI' AND type = 'TR') DROP TRIGGER[trBL_EmailsTO_AI];
-- GO
CREATE TRIGGER [dbo].[trBL_EmailsTO_AI]
ON [dbo].[tblBL_EmailsTO]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_EmailsTO' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_EmailsTO'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsTO_AD' AND type = 'TR') DROP TRIGGER[trBL_EmailsTO_AD];
-- GO
CREATE TRIGGER [dbo].[trBL_EmailsTO_AD]
ON [dbo].[tblBL_EmailsTO]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_EmailsTO' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_EmailsTO'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Countries_AU' AND type = 'TR') DROP TRIGGER[trBL_Countries_AU];
-- GO
CREATE TRIGGER [dbo].[trBL_Countries_AU]
ON [dbo].[tblBL_Countries]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Countries' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Countries'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Countries_AI' AND type = 'TR') DROP TRIGGER[trBL_Countries_AI];
-- GO
CREATE TRIGGER [dbo].[trBL_Countries_AI]
ON [dbo].[tblBL_Countries]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_Countries' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_Countries'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Countries_AD' AND type = 'TR') DROP TRIGGER[trBL_Countries_AD];
-- GO
CREATE TRIGGER [dbo].[trBL_Countries_AD]
ON [dbo].[tblBL_Countries]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Countries' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Countries'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_MAPS_AU' AND type = 'TR') DROP TRIGGER[trBL_MAPS_AU];
-- GO
CREATE TRIGGER [dbo].[trBL_MAPS_AU]
ON [dbo].[tblBL_MAPS]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_MAPS' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_MAPS'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_MAPS_AI' AND type = 'TR') DROP TRIGGER[trBL_MAPS_AI];
-- GO
CREATE TRIGGER [dbo].[trBL_MAPS_AI]
ON [dbo].[tblBL_MAPS]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_MAPS' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_MAPS'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_MAPS_AD' AND type = 'TR') DROP TRIGGER[trBL_MAPS_AD];
-- GO
CREATE TRIGGER [dbo].[trBL_MAPS_AD]
ON [dbo].[tblBL_MAPS]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_MAPS' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_MAPS'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Keywords_AU' AND type = 'TR') DROP TRIGGER[trBL_Keywords_AU];
-- GO
CREATE TRIGGER [dbo].[trBL_Keywords_AU]
ON [dbo].[tblBL_Keywords]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Keywords' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Keywords'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Keywords_AI' AND type = 'TR') DROP TRIGGER[trBL_Keywords_AI];
-- GO
CREATE TRIGGER [dbo].[trBL_Keywords_AI]
ON [dbo].[tblBL_Keywords]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_Keywords' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_Keywords'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Keywords_AD' AND type = 'TR') DROP TRIGGER[trBL_Keywords_AD];
-- GO
CREATE TRIGGER [dbo].[trBL_Keywords_AD]
ON [dbo].[tblBL_Keywords]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Keywords' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Keywords'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Attachments_AU' AND type = 'TR') DROP TRIGGER[trBL_Attachments_AU];
-- GO
CREATE TRIGGER [dbo].[trBL_Attachments_AU]
ON [dbo].[tblBL_Attachments]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Attachments' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Attachments'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Attachments_AI' AND type = 'TR') DROP TRIGGER[trBL_Attachments_AI];
-- GO
CREATE TRIGGER [dbo].[trBL_Attachments_AI]
ON [dbo].[tblBL_Attachments]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_Attachments' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_Attachments'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Attachments_AD' AND type = 'TR') DROP TRIGGER[trBL_Attachments_AD];
-- GO
CREATE TRIGGER [dbo].[trBL_Attachments_AD]
ON [dbo].[tblBL_Attachments]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Attachments' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Attachments'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_SURBL_AU' AND type = 'TR') DROP TRIGGER[trBL_SURBL_AU];
-- GO
CREATE TRIGGER [dbo].[trBL_SURBL_AU]
ON [dbo].[tblBL_SURBL]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_SURBL' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_SURBL'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_SURBL_AI' AND type = 'TR') DROP TRIGGER[trBL_SURBL_AI];
-- GO
CREATE TRIGGER [dbo].[trBL_SURBL_AI]
ON [dbo].[tblBL_SURBL]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_SURBL' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_SURBL'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_SURBL_AD' AND type = 'TR') DROP TRIGGER[trBL_SURBL_AD];
-- GO
CREATE TRIGGER [dbo].[trBL_SURBL_AD]
ON [dbo].[tblBL_SURBL]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_SURBL' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_SURBL'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_IPs_AU' AND type = 'TR') DROP TRIGGER[trBL_IPs_AU];
-- GO
CREATE TRIGGER [dbo].[trBL_IPs_AU]
ON [dbo].[tblBL_IPs]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_IPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_IPs'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_IPs_AI' AND type = 'TR') DROP TRIGGER[trBL_IPs_AI];
-- GO
CREATE TRIGGER [dbo].[trBL_IPs_AI]
ON [dbo].[tblBL_IPs]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_IPs' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_IPs'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_IPs_AD' AND type = 'TR') DROP TRIGGER[trBL_IPs_AD];
-- GO
CREATE TRIGGER [dbo].[trBL_IPs_AD]
ON [dbo].[tblBL_IPs]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_IPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_IPs'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_HoneypotEmails_AU' AND type = 'TR') DROP TRIGGER[trBL_HoneypotEmails_AU];
-- GO
CREATE TRIGGER [dbo].[trBL_HoneypotEmails_AU]
ON [dbo].[tblBL_HoneypotEmails]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_HoneypotEmails' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_HoneypotEmails'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_HoneypotEmails_AI' AND type = 'TR') DROP TRIGGER[trBL_HoneypotEmails_AI];
-- GO
CREATE TRIGGER [dbo].[trBL_HoneypotEmails_AI]
ON [dbo].[tblBL_HoneypotEmails]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_HoneypotEmails' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_HoneypotEmails'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_HoneypotEmails_AD' AND type = 'TR') DROP TRIGGER[trBL_HoneypotEmails_AD];
-- GO
CREATE TRIGGER [dbo].[trBL_HoneypotEmails_AD]
ON [dbo].[tblBL_HoneypotEmails]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_HoneypotEmails' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_HoneypotEmails'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_HoneypotBlockedIPs_AU' AND type = 'TR') DROP TRIGGER[trBL_HoneypotBlockedIPs_AU];
-- GO
CREATE TRIGGER [dbo].[trBL_HoneypotBlockedIPs_AU]
ON [dbo].[tblBL_HoneypotBlockedIPs]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_HoneypotBlockedIPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_HoneypotBlockedIPs'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_HoneypotBlockedIPs_AI' AND type = 'TR') DROP TRIGGER[trBL_HoneypotBlockedIPs_AI];
-- GO
CREATE TRIGGER [dbo].[trBL_HoneypotBlockedIPs_AI]
ON [dbo].[tblBL_HoneypotBlockedIPs]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_HoneypotBlockedIPs' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_HoneypotBlockedIPs'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_HoneypotBlockedIPs_AD' AND type = 'TR') DROP TRIGGER[trBL_HoneypotBlockedIPs_AD];
-- GO
CREATE TRIGGER [dbo].[trBL_HoneypotBlockedIPs_AD]
ON [dbo].[tblBL_HoneypotBlockedIPs]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_HoneypotBlockedIPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_HoneypotBlockedIPs'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tr_FilterSettings_AU' AND type = 'TR') DROP TRIGGER[tr_FilterSettings_AU];
-- GO
CREATE TRIGGER [dbo].[tr_FilterSettings_AU]
ON [dbo].[tbl_FilterSettings]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tbl_FilterSettings' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tbl_FilterSettings'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tr_FilterSettings_AI' AND type = 'TR') DROP TRIGGER[tr_FilterSettings_AI];
-- GO
CREATE TRIGGER [dbo].[tr_FilterSettings_AI]
ON [dbo].[tbl_FilterSettings]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tbl_FilterSettings' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tbl_FilterSettings'))
GO

-- IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tr_FilterSettings_AD' AND type = 'TR') DROP TRIGGER[tr_FilterSettings_AD];
-- GO
CREATE TRIGGER [dbo].[tr_FilterSettings_AD]
ON [dbo].[tbl_FilterSettings]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tbl_FilterSettings' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tbl_FilterSettings'))
GO

