-- MySQL Enterprise Setup

-- DROP TABLE IF EXISTS `tblBL_Domains`;
-- GO
CREATE TABLE IF NOT EXISTS `tblBL_Domains` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `DomainName` varchar(255),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`),
  KEY `DomainName` (`DomainName`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblBL_EmailsFrom`;
-- GO
CREATE TABLE IF NOT EXISTS `tblBL_EmailsFrom` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `Email` varchar(320),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`),
  KEY `Email` (`Email`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblBL_EmailsTo`;
-- GO
CREATE TABLE IF NOT EXISTS `tblBL_EmailsTo` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `Email` varchar(320),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`),
  KEY `Email` (`Email`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblBL_MAPS`;
-- GO
CREATE TABLE IF NOT EXISTS `tblBL_MAPS` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `Server` varchar(255),
  `ReverseIP` tinyint(1) default 1,
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`),
  KEY `Server` (`Server`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblBL_Keywords`;
-- GO
CREATE TABLE IF NOT EXISTS `tblBL_Keywords` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `Keywords` varchar(1024),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblBL_Attachments`;
-- GO
CREATE TABLE IF NOT EXISTS `tblBL_Attachments` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `Attachments` varchar(1024),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblBL_SURBL`;
-- GO
CREATE TABLE IF NOT EXISTS `tblBL_SURBL` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `Server` varchar(320),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`),
  KEY `Server` (`Server`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblBL_IPs`;
-- GO
CREATE TABLE IF NOT EXISTS `tblBL_IPs` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `IP` varchar(15),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`),
  KEY `IP` (`IP`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblBL_HoneypotEmails`;
-- GO
CREATE TABLE IF NOT EXISTS `tblBL_HoneypotEmails` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `Email` varchar(320),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`),
  KEY `Email` (`Email`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblBL_HoneypotBlockedIPs`;
-- GO
CREATE TABLE IF NOT EXISTS `tblBL_HoneypotBlockedIPs` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `IP` varchar(15),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`),
  KEY `IP` (`IP`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblBL_Countries`;
-- GO
CREATE TABLE IF NOT EXISTS `tblBL_Countries` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `CountryCode` varchar(2),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`),
  KEY `CountryCode` (`CountryCode`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblWL_AuthorizedTOEmails`;
-- GO
CREATE TABLE IF NOT EXISTS `tblWL_AuthorizedTOEmails` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `Email` varchar(320),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`),
  KEY `Email` (`Email`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblWL_Keywords`;
-- GO
CREATE TABLE IF NOT EXISTS `tblWL_Keywords` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `Keywords` varchar(1024),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblWL_EmailsFrom`;
-- GO
CREATE TABLE IF NOT EXISTS `tblWL_EmailsFrom` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `Email` varchar(320),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`),
  KEY `Email` (`Email`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblWL_EmailsTo`;
-- GO
CREATE TABLE IF NOT EXISTS `tblWL_EmailsTo` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `Email` varchar(320),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`),
  KEY `Email` (`Email`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblWL_AutoWhitelistForceDelivery`;
-- GO
CREATE TABLE IF NOT EXISTS `tblWL_AutoWhitelistForceDelivery` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `Email` varchar(320),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`),
  KEY `Email` (`Email`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblWL_DomainsIPs`;
-- GO
CREATE TABLE IF NOT EXISTS `tblWL_DomainsIPs` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `LoginID` int(11) default 0,
  `Domain_or_IP` varchar(255),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`),
  KEY `LoginID` (`LoginID`),
  KEY `Domain_or_IP` (`Domain_or_IP`)
);

-- GO --

-- DROP TABLE IF EXISTS `tblReloadTableInfo`;
-- GO
CREATE TABLE IF NOT EXISTS `tblReloadTableInfo` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `TableName` varchar(65),
  `UpdateTable` tinyint(1) default 1,
  PRIMARY KEY  (`ID`),
  KEY `TableName` (`TableName`)
);

-- GO --

-- DROP TABLE IF EXISTS `tbl_FilterSettings`;
-- GO
CREATE TABLE IF NOT EXISTS `tbl_FilterSettings` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainID` int(11) default 0,
  `BL_DomainsForceDelete` tinyint(1) default 0,
  `BL_EmailsFromForceDelete` tinyint(1) default 0,
  `BL_EmailsTOForceDelete` tinyint(1) default 0,
  `BL_CountriesForceDelete` tinyint(1) default 0,
  `BL_MAPSForceDelete` tinyint(1) default 0,
  `BL_KeywordsForceDelete` tinyint(1) default 0,
  `BL_AttachmentsForceDelete` tinyint(1) default 0,
  `BL_SURBLForceDelete` tinyint(1) default 0,
  `BL_IPsForceDelete` tinyint(1) default 0,
  `BL_HoneypotEmailsForceDelete` tinyint(1) default 0,
  `RejectNoReverseForceDelete` tinyint(1) default 0,
  `RejectNoMXForceDelete` tinyint(1) default 0,
  `SPFFilterEnableForceDelete` tinyint(1) default 0,
  `RejectEmptyMailFromForceDelete` tinyint(1) default 0,
  `RejectSameToFromDomainForceDelete` tinyint(1) default 0,
  `RejectSameToFromForceDelete` tinyint(1) default 0,
  `SFDBForceDelete` tinyint(1) default 0,
  `MAXRCPT_TOForceDelete` tinyint(1) default 0,
  `AUTHORIZEDTOForceDelete` tinyint(1) default 0,
  `ANTIVIRUSForceDelete` tinyint(1) default 0,
  `IMAGEForceDelete` tinyint(1) default 0,
  `SURBLForceDelete` tinyint(1) default 0,
  `BAYESIANForceDelete` tinyint(1) default 0,
  `SPFFilterEnable` tinyint(1) default 1,
  `SPFNeutralFilter` tinyint(1) default 0,
  `SPFSoftfailFilter` tinyint(1) default 1,
  `SPFFailFilter` tinyint(1) default 1,
  `AllowPercent` tinyint(1) default 0,
  `TagSPAM` tinyint(1) default 0,
  `TagSPAMSubject` tinyint(1) default 0,
  `TagSPAMandQuarantine` tinyint(1) default 0,
  `RejectNoReverse` tinyint(1) default 1,
  `RejectNoMX` tinyint(1) default 1,
  `RejectEmptyMailFrom` tinyint(1) default 0,
  `RejectSameToFrom` tinyint(1) default 0,
  `RejectSameToFromDomain` tinyint(1) default 0,
  `EnableIPCacheBlacklist` tinyint(1) default 1,
  `AutoWhiteListForceDeliveryEnabled` tinyint(1) default 1,
  `MinMAPS` int(11) default 1,
  `MaxSubjectSpaces` int(11) default 10,
  `SpamImageThreshold` int(11) default 10,
  `SFDB_NetworkReliability` int(11) default 3,
  `SFDB_FiltersAll` tinyint(1) default 1,
  `SFDB_FiltersList` varchar(255),
  `DestSMTPServer` varchar(255) default '',
  `DestSMTPServerPort` int(11),
  PRIMARY KEY  (`ID`),
  KEY `DomainID` (`DomainID`)
);

-- GO --

-- DROP TABLE IF EXISTS `tbl_LocalDomains`;
-- GO
CREATE TABLE IF NOT EXISTS `tbl_LocalDomains` (
  `ID` int(11) NOT NULL auto_increment,
  `DomainName` varchar(255),
  `DestSMTPServer` varchar(255) default NULL,
  `DestSMTPServerPort` int(11) default NULL,
  `UseDefaults` tinyint(1) NOT NULL DEFAULT 1,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `DomainName` (`DomainName`)
);

-- GO --

ALTER TABLE `tblBL_Domains` ADD CONSTRAINT `FKtblBL_Domains` FOREIGN KEY `FKtblBL_Domains` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
ALTER TABLE `tblBL_EmailsFrom` ADD CONSTRAINT `FKtblBL_EmailsFrom` FOREIGN KEY `FKtblBL_EmailsFrom` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
ALTER TABLE `tblBL_EmailsTo` ADD CONSTRAINT `FKtblBL_EmailsTo` FOREIGN KEY `FKtblBL_EmailsTo` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
ALTER TABLE `tblBL_MAPS` ADD CONSTRAINT `FKtblBL_MAPS` FOREIGN KEY `FKtblBL_MAPS` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
ALTER TABLE `tblBL_Keywords` ADD CONSTRAINT `FKtblBL_Keywords` FOREIGN KEY `FKtblBL_Keywords` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
ALTER TABLE `tblBL_Attachments` ADD CONSTRAINT `FKtblBL_Attachments` FOREIGN KEY `FKtblBL_Attachments` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
ALTER TABLE `tblBL_SURBL` ADD CONSTRAINT `FKtblBL_SURBL` FOREIGN KEY `FKtblBL_SURBL` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
ALTER TABLE `tblBL_IPs` ADD CONSTRAINT `FKtblBL_IPs` FOREIGN KEY `FKtblBL_IPs` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
ALTER TABLE `tblBL_HoneypotEmails` ADD CONSTRAINT `FKtblBL_HoneypotEmails` FOREIGN KEY `FKtblBL_HoneypotEmails` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
ALTER TABLE `tblBL_HoneypotBlockedIPs` ADD CONSTRAINT `FKtblBL_HoneypotBlockedIPs` FOREIGN KEY `FKtblBL_HoneypotBlockedIPs` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
ALTER TABLE `tblWL_AuthorizedTOEmails` ADD CONSTRAINT `FKtblWL_AuthorizedTOEmails` FOREIGN KEY `FKtblWL_AuthorizedTOEmails` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
ALTER TABLE `tblWL_Keywords` ADD CONSTRAINT `FKtblWL_Keywords` FOREIGN KEY `FKtblWL_Keywords` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
ALTER TABLE `tblWL_EmailsFrom` ADD CONSTRAINT `FKtblWL_EmailsFrom` FOREIGN KEY `FKtblWL_EmailsFrom` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
ALTER TABLE `tblWL_EmailsTo` ADD CONSTRAINT `FKtblWL_EmailsTo` FOREIGN KEY `FKtblWL_EmailsTo` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
ALTER TABLE `tblWL_AutoWhitelistForceDelivery` ADD CONSTRAINT `FKtblWL_AutoWhitelistForceDelivery` FOREIGN KEY `FKtblWL_AutoWhitelistForceDelivery` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
ALTER TABLE `tblWL_DomainsIPs` ADD CONSTRAINT `FKtblWL_DomainsIPs` FOREIGN KEY `FKtblWL_DomainsIPs` (`DomainID`)
    REFERENCES `tbl_localdomains` (`ID`) ON DELETE CASCADE;
-- GO --
insert into tbl_LocalDomains (DomainName) VALUES (' ALL DOMAINS');
-- GO --

DROP TRIGGER tr_LocalDomains_AU;
-- GO --
delimiter //
CREATE TRIGGER tr_LocalDomains_AU
AFTER UPDATE ON tbl_LocalDomains
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.ID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.ID, 1, 'tbl_LocalDomains');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER tr_LocalDomains_AI;
-- GO --
delimiter //
CREATE TRIGGER tr_LocalDomains_AI
AFTER INSERT ON tbl_LocalDomains
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.ID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.ID, 1, 'tbl_LocalDomains');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER tr_LocalDomains_AD;
-- GO --
delimiter //
CREATE TRIGGER tr_LocalDomains_AD
AFTER DELETE ON tbl_LocalDomains
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.ID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.ID, 1, 'tbl_LocalDomains');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER tr_LocalDomains_BD;
-- GO --
delimiter //
CREATE TRIGGER tr_LocalDomains_BD
BEFORE DELETE ON tbl_LocalDomains
FOR EACH ROW
BEGIN
 IF (OLD.DomainName = ' ALL DOMAINS') THEN
   CALL ERROR_UnableToDeleteSystem_ALLDOMAINS_Record();
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_AuthorizedTOEmails_AU;
-- GO --
delimiter //
CREATE TRIGGER trWL_AuthorizedTOEmails_AU
AFTER UPDATE ON tblWL_AuthorizedTOEmails
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_AuthorizedTOEmails');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_AuthorizedTOEmails_AI;
-- GO --
delimiter //
CREATE TRIGGER trWL_AuthorizedTOEmails_AI
AFTER INSERT ON tblWL_AuthorizedTOEmails
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblWL_AuthorizedTOEmails');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_AuthorizedTOEmails_AD;
-- GO --
delimiter //
CREATE TRIGGER trWL_AuthorizedTOEmails_AD
AFTER DELETE ON tblWL_AuthorizedTOEmails
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_AuthorizedTOEmails');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_Keywords_AU;
-- GO --
delimiter //
CREATE TRIGGER trWL_Keywords_AU
AFTER UPDATE ON tblWL_Keywords
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_Keywords');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_Keywords_AI;
-- GO --
delimiter //
CREATE TRIGGER trWL_Keywords_AI
AFTER INSERT ON tblWL_Keywords
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblWL_Keywords');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_Keywords_AD;
-- GO --
delimiter //
CREATE TRIGGER trWL_Keywords_AD
AFTER DELETE ON tblWL_Keywords
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_Keywords');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_EmailsFrom_AU;
-- GO --
delimiter //
CREATE TRIGGER trWL_EmailsFrom_AU
AFTER UPDATE ON tblWL_EmailsFrom
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_EmailsFrom');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_EmailsFrom_AI;
-- GO --
delimiter //
CREATE TRIGGER trWL_EmailsFrom_AI
AFTER INSERT ON tblWL_EmailsFrom
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblWL_EmailsFrom');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_EmailsFrom_AD;
-- GO --
delimiter //
CREATE TRIGGER trWL_EmailsFrom_AD
AFTER DELETE ON tblWL_EmailsFrom
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_EmailsFrom');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_EmailsTO_AU;
-- GO --
delimiter //
CREATE TRIGGER trWL_EmailsTO_AU
AFTER UPDATE ON tblWL_EmailsTO
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_EmailsTO');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_EmailsTO_AI;
-- GO --
delimiter //
CREATE TRIGGER trWL_EmailsTO_AI
AFTER INSERT ON tblWL_EmailsTO
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblWL_EmailsTO');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_EmailsTO_AD;
-- GO --
delimiter //
CREATE TRIGGER trWL_EmailsTO_AD
AFTER DELETE ON tblWL_EmailsTO
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_EmailsTO');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_DomainsIPs_AU;
-- GO --
delimiter //
CREATE TRIGGER trWL_DomainsIPs_AU
AFTER UPDATE ON tblWL_DomainsIPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_DomainsIPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_DomainsIPs_AI;
-- GO --
delimiter //
CREATE TRIGGER trWL_DomainsIPs_AI
AFTER INSERT ON tblWL_DomainsIPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblWL_DomainsIPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_DomainsIPs_AD;
-- GO --
delimiter //
CREATE TRIGGER trWL_DomainsIPs_AD
AFTER DELETE ON tblWL_DomainsIPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_DomainsIPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_AutoWhiteListForceDelivery_AU;
-- GO --
delimiter //
CREATE TRIGGER trWL_AutoWhiteListForceDelivery_AU
AFTER UPDATE ON tblWL_AutoWhiteListForceDelivery
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_AutoWhiteListForceDelivery');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_AutoWhiteListForceDelivery_AI;
-- GO --
delimiter //
CREATE TRIGGER trWL_AutoWhiteListForceDelivery_AI
AFTER INSERT ON tblWL_AutoWhiteListForceDelivery
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblWL_AutoWhiteListForceDelivery');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_AutoWhiteListForceDelivery_AD;
-- GO --
delimiter //
CREATE TRIGGER trWL_AutoWhiteListForceDelivery_AD
AFTER DELETE ON tblWL_AutoWhiteListForceDelivery
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_AutoWhiteListForceDelivery');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Domains_AU;
-- GO --
delimiter //
CREATE TRIGGER trBL_Domains_AU
AFTER UPDATE ON tblBL_Domains
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Domains');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Domains_AI;
-- GO --
delimiter //
CREATE TRIGGER trBL_Domains_AI
AFTER INSERT ON tblBL_Domains
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_Domains');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Domains_AD;
-- GO --
delimiter //
CREATE TRIGGER trBL_Domains_AD
AFTER DELETE ON tblBL_Domains
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Domains');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_EmailsFrom_AU;
-- GO --
delimiter //
CREATE TRIGGER trBL_EmailsFrom_AU
AFTER UPDATE ON tblBL_EmailsFrom
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_EmailsFrom');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_EmailsFrom_AI;
-- GO --
delimiter //
CREATE TRIGGER trBL_EmailsFrom_AI
AFTER INSERT ON tblBL_EmailsFrom
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_EmailsFrom');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_EmailsFrom_AD;
-- GO --
delimiter //
CREATE TRIGGER trBL_EmailsFrom_AD
AFTER DELETE ON tblBL_EmailsFrom
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_EmailsFrom');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_EmailsTO_AU;
-- GO --
delimiter //
CREATE TRIGGER trBL_EmailsTO_AU
AFTER UPDATE ON tblBL_EmailsTO
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_EmailsTO');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_EmailsTO_AI;
-- GO --
delimiter //
CREATE TRIGGER trBL_EmailsTO_AI
AFTER INSERT ON tblBL_EmailsTO
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_EmailsTO');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_EmailsTO_AD;
-- GO --
delimiter //
CREATE TRIGGER trBL_EmailsTO_AD
AFTER DELETE ON tblBL_EmailsTO
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_EmailsTO');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Countries_AU;
-- GO --
delimiter //
CREATE TRIGGER trBL_Countries_AU
AFTER UPDATE ON tblBL_Countries
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Countries');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Countries_AI;
-- GO --
delimiter //
CREATE TRIGGER trBL_Countries_AI
AFTER INSERT ON tblBL_Countries
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_Countries');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Countries_AD;
-- GO --
delimiter //
CREATE TRIGGER trBL_Countries_AD
AFTER DELETE ON tblBL_Countries
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Countries');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_MAPS_AU;
-- GO --
delimiter //
CREATE TRIGGER trBL_MAPS_AU
AFTER UPDATE ON tblBL_MAPS
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_MAPS');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_MAPS_AI;
-- GO --
delimiter //
CREATE TRIGGER trBL_MAPS_AI
AFTER INSERT ON tblBL_MAPS
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_MAPS');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_MAPS_AD;
-- GO --
delimiter //
CREATE TRIGGER trBL_MAPS_AD
AFTER DELETE ON tblBL_MAPS
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_MAPS');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Keywords_AU;
-- GO --
delimiter //
CREATE TRIGGER trBL_Keywords_AU
AFTER UPDATE ON tblBL_Keywords
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Keywords');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Keywords_AI;
-- GO --
delimiter //
CREATE TRIGGER trBL_Keywords_AI
AFTER INSERT ON tblBL_Keywords
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_Keywords');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Keywords_AD;
-- GO --
delimiter //
CREATE TRIGGER trBL_Keywords_AD
AFTER DELETE ON tblBL_Keywords
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Keywords');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Attachments_AU;
-- GO --
delimiter //
CREATE TRIGGER trBL_Attachments_AU
AFTER UPDATE ON tblBL_Attachments
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Attachments');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Attachments_AI;
-- GO --
delimiter //
CREATE TRIGGER trBL_Attachments_AI
AFTER INSERT ON tblBL_Attachments
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_Attachments');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Attachments_AD;
-- GO --
delimiter //
CREATE TRIGGER trBL_Attachments_AD
AFTER DELETE ON tblBL_Attachments
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Attachments');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_SURBL_AU;
-- GO --
delimiter //
CREATE TRIGGER trBL_SURBL_AU
AFTER UPDATE ON tblBL_SURBL
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_SURBL');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_SURBL_AI;
-- GO --
delimiter //
CREATE TRIGGER trBL_SURBL_AI
AFTER INSERT ON tblBL_SURBL
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_SURBL');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_SURBL_AD;
-- GO --
delimiter //
CREATE TRIGGER trBL_SURBL_AD
AFTER DELETE ON tblBL_SURBL
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_SURBL');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_IPs_AU;
-- GO --
delimiter //
CREATE TRIGGER trBL_IPs_AU
AFTER UPDATE ON tblBL_IPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_IPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_IPs_AI;
-- GO --
delimiter //
CREATE TRIGGER trBL_IPs_AI
AFTER INSERT ON tblBL_IPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_IPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_IPs_AD;
-- GO --
delimiter //
CREATE TRIGGER trBL_IPs_AD
AFTER DELETE ON tblBL_IPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_IPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_HoneypotEmails_AU;
-- GO --
delimiter //
CREATE TRIGGER trBL_HoneypotEmails_AU
AFTER UPDATE ON tblBL_HoneypotEmails
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_HoneypotEmails');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_HoneypotEmails_AI;
-- GO --
delimiter //
CREATE TRIGGER trBL_HoneypotEmails_AI
AFTER INSERT ON tblBL_HoneypotEmails
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_HoneypotEmails');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_HoneypotEmails_AD;
-- GO --
delimiter //
CREATE TRIGGER trBL_HoneypotEmails_AD
AFTER DELETE ON tblBL_HoneypotEmails
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_HoneypotEmails');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_HoneypotBlockedIPs_AU;
-- GO --
delimiter //
CREATE TRIGGER trBL_HoneypotBlockedIPs_AU
AFTER UPDATE ON tblBL_HoneypotBlockedIPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_HoneypotBlockedIPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_HoneypotBlockedIPs_AI;
-- GO --
delimiter //
CREATE TRIGGER trBL_HoneypotBlockedIPs_AI
AFTER INSERT ON tblBL_HoneypotBlockedIPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_HoneypotBlockedIPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_HoneypotBlockedIPs_AD;
-- GO --
delimiter //
CREATE TRIGGER trBL_HoneypotBlockedIPs_AD
AFTER DELETE ON tblBL_HoneypotBlockedIPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_HoneypotBlockedIPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER tr_FilterSettings_AU;
-- GO --
delimiter //
CREATE TRIGGER tr_FilterSettings_AU
AFTER UPDATE ON tbl_FilterSettings
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tbl_FilterSettings');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER tr_FilterSettings_AI;
-- GO --
delimiter //
CREATE TRIGGER tr_FilterSettings_AI
AFTER INSERT ON tbl_FilterSettings
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tbl_FilterSettings');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER tr_FilterSettings_AD;
-- GO --
delimiter //
CREATE TRIGGER tr_FilterSettings_AD
AFTER DELETE ON tbl_FilterSettings
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = TableName)) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tbl_FilterSettings');
 END IF;
END;
//
delimiter;
